/* =========================================================
ZII GAME
GLOBAL STYLE
========================================================= */


html {

    scroll-behavior:smooth;

}



* {

    margin:0;

    padding:0;

    box-sizing:border-box;

}



:root {

    --background:#0d1117;

    --surface:#171d28;

    --text:#ffffff;

    --text-secondary:#b9c7d8;

    --border:#2b3647;

    --blue:#1E88F5;

    --cyan:#10D8D3;

}



body {

    font-family:"Poppins", sans-serif;

    background:var(--background);

    color:var(--text);

    overflow-x:hidden;

    position:relative;

}



/* Links */

a {

    color:inherit;

    text-decoration:none;

}



/* Images */

img {

    display:block;

    max-width:100%;

}



/* Sections */

section {

    width:100%;

}



/* Headings */

h1,
h2,
h3 {

    font-weight:700;

}



/* Paragraph */

p {

    color:var(--text-secondary);

    line-height:1.8;

}



/* Reveal animation */

.reveal {

    opacity:0;

    transform:translateY(40px);

    transition:

        opacity .8s,

        transform .8s;

}



.reveal.show {

    opacity:1;

    transform:translateY(0);

}



/* Scrollbar */

::-webkit-scrollbar {

    width:10px;

}



::-webkit-scrollbar-track {

    background:#10151d;

}



::-webkit-scrollbar-thumb {

    background:

        linear-gradient(

            var(--blue),

            var(--cyan)

        );

    border-radius:50px;

}



::-webkit-scrollbar-thumb:hover {

    background:#18e2dd;

}